export class GuestBook {
  id: string | undefined;
  serial: number;
  count: number;
  name: string;
  phone: string;
  pax: number;
  address: string | null;
  notes: string | null;
  bookingDate: string | null;
  arrivalDate: string | null;
  type: string | undefined;
  lastEditDate: string | undefined;
  status?: string;
  tableId?: string;
  voucherId?: string;
  tableName?: string;

  public constructor(init?: Partial<GuestBook>) {
    this.id = undefined;
    this.serial = 0;
    this.count = 0;
    this.name = '';
    this.phone = '';
    this.pax = 0;
    this.address = null;
    this.notes = null;
    this.bookingDate = null;
    this.arrivalDate = null;
    this.lastEditDate = '';
    Object.assign(this, init);
  }
}
